// 自动生成模板ProblemReply
package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/global"
	uuid "github.com/satori/go.uuid"
)

// ProblemReply 结构体
// 如果含有time.Time 请自行import time包
type ProblemReply struct {
	global.GVA_MODEL
	Uuid      uuid.UUID `json:"uuid" form:"uuid" gorm:"column:uuid;comment:用户UUID;type:varchar(191);"`
	NickName  string    `json:"nickName" form:"nickName" gorm:"column:nick_name;comment:用户昵称;type:varchar(191);"`
	HeaderImg string    `json:"headerImg" form:"headerImg" gorm:"column:header_img;comment:用户头像;type:varchar(191);"`
	ReplyMsg  string    `json:"replyMsg" form:"replyMsg" gorm:"column:reply_msg;comment:用户回复;type:varchar(1000);"`
	ProblemId *int      `json:"problemId" form:"problemId" gorm:"column:problem_id;comment:问题 id;type:bigint"`
}

// TableName ProblemReply 表名
func (ProblemReply) TableName() string {
	return "problem_reply"
}
